Get device details
Get details for a device.
Required permissions: DEVICE
get/tenants/{tenantUid}/devices/{deviceUid}
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+deviceUidstringRequiredPattern:
Reference to a device
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
createdAtstring Ā· date-timeRequired
createdBystringRequired
deviceUidstringRequiredPattern:
^[A-Za-z0-9-_]+identifierstringRequired
A unique client identifier. This will be set when the client is linked.
lastModifiedAtstring Ā· date-timeRequired
lastModifiedBystringRequired
lastActivityAtstring Ā· date-time Ā· nullableRequired
The timestamp indicating the most recent date and time when the device registered any activity.
lastTenantUserUidstringRequired
The tenantUserUid who interacted with this device most recently
namestringRequired
systemInformationstringRequired
Contains device name, OS, release version of OS, OS build date, like a uname -a response on linux servers
statusstring Ā· enumRequired
Possible values:
| Enum | Description |
|---|---|
| READY_TO_LINK | The device is ready to a physical device through the link endpoint |
| ACTIVE | The device is linked and active |
| BLOCKED | The device is linked, but blocked for usage |
deviceLinkCodestringRequired
The code that should be used to link the device to an app
lastOrderUidstringRequiredPattern:
^[A-Za-z0-9-_]*appCodestring Ā· enumRequired
Possible values:
| Enum | Description |
|---|---|
| CLIENT | Flow Retail Client |
| ASSISTANT | Flow Retail Assistant |
| UNKNOWN | No specific app |
appVersionstringRequired
get/tenants/{tenantUid}/devices/{deviceUid}
GET /v2/tenants/{tenantUid}/devices/{deviceUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"deviceUid": "text",
"identifier": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastActivityAt": "2026-01-01T00:00:00.000Z",
"lastTenantUserUid": "text",
"name": "text",
"systemInformation": "text",
"status": "ACTIVE",
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text"
},
"deviceLinkCode": "text",
"lastOrderUid": "text",
"till": {
"tillUid": "text",
"name": "text",
"tillNumber": 1
},
"appCode": "CLIENT",
"appVersion": "text",
"settings": [
{
"key": "text",
"value": "text",
"type": "STRING",
"allowedValues": [
"text"
],
"validationRegex": "text",
"name": "text",
"required": true
}
],
"printers": [
{
"printerUid": "text",
"name": "text",
"type": "LABEL",
"availablePrintActions": [
"RECEIPT"
]
}
]
}Last updated
Was this helpful?

